using Assets.Source.Constants;
using Assets.Source.General;
using UnityEngine;

namespace Assets.Source.Content.Tweens
{
    [CreateAssetMenu(menuName = GeneralConstants.PATH_CREATE_MENU_UI_TWEENS + "TweenMove")]
    public class UITweenDataMove : ScriptableObject
    {
        public float DurationIn = 0.5f;
        public float DurationOut = 0.5f;
        public AnimationCurve CurveIn = AnimationCurve.EaseInOut(0, 0, 1, 1);
        public AnimationCurve CurveOut = AnimationCurve.EaseInOut(0, 0, 1, 1);
    }
}
